<?PHP
/*
* delete.php Delete entries
* copyright (c)2005 Marco Islas &lt;markuz@islascruz.org&gt;
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

class delete
{
	function delete(){
	}
	
	function default_action(){
		$sql = "delete from sites where id='".$_REQUEST["id"]."'";
		if ($GLOBALS["db"]->query($sql))
			return $this->alert();
		else
			die (mysql_error);
	}
	
	function alert(){
		$tpl = new template(CINTILLA_PATH."xhtml/");
		$tpl->load("layout","delete.html");
		
		$tpl->expand("expdone","layout");
		return $tpl->export("expdone");
	}
}







	
?>